﻿Imports System.Linq
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Navigation
Imports Microsoft.Phone.Controls
Imports Microsoft.Phone.Shell
Imports Microsoft.Phone.Wallet
Imports ContosoTransit.WP8App.Models

Namespace ContosoTransit.WP8App
	Partial Public Class CardPage
		Inherits PhoneApplicationPage
		Public Sub New()
			InitializeComponent()
		End Sub

		Private model As CardPageViewModel

		Protected async Overrides Sub OnNavigatedTo(ByVal e As NavigationEventArgs)
			Dim loyaltyCard As WalletTransactionItem = TryCast(Wallet.FindItem("LoyaltyCard"), WalletTransactionItem)
            model = New CardPageViewModel With {.LoyaltyCard = loyaltyCard, .Deals = New List(Of Deal)}

            Dim allItems As WalletItemCollection = Await Wallet.GetItemsAsync
			For Each item In allItems
				Dim deal As Deal = TryCast(item, Deal)
				If deal IsNot Nothing Then
					model.Deals.Add(deal)
				End If
			Next item

			Me.DataContext = model
		End Sub
	End Class
End Namespace